package core.api.models.timemanager.taskSchedule.scheduleInfos;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

public class AdvancedScheduleFieldInfo extends ScheduleFieldInfo {

    @NotNull
    @JsonProperty
    @JsonFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
    private LocalDateTime scheduleStartTime;
    @NotNull
    @JsonProperty
    @JsonFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
    private LocalDateTime scheduleStopTime;

    public AdvancedScheduleFieldInfo(LocalDateTime scheduleStartTime, LocalDateTime scheduleStopTime) {
        this.scheduleStartTime = scheduleStartTime;
        this.scheduleStopTime = scheduleStopTime;
    }

    public AdvancedScheduleFieldInfo() {
    }

    public LocalDateTime getScheduleStartTime() {
        return scheduleStartTime;
    }

    public void setScheduleStartTime(LocalDateTime scheduleStartTime) {
        this.scheduleStartTime = scheduleStartTime;
    }

    public LocalDateTime getScheduleStopTime() {
        return scheduleStopTime;
    }

    public void setScheduleStopTime(LocalDateTime scheduleStopTime) {
        this.scheduleStopTime = scheduleStopTime;
    }
}
